#include <curl/curl.h>
#include <iostream>
#include <cmath>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"
using namespace std;


struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data(istream& in,bool promt)
{
if(promt){

    size_t number_count;
    cerr << "count=";
    cin >> number_count;

    Input rez;

    rez.numbers.resize(number_count);

    for (size_t i = 0; i < number_count; i++) {
    cin >> rez.numbers[i];
}

cerr << "bin_count= ";
cin >> rez.bin_count;

return rez;
}
else
{
    size_t number_count;
    cerr << "count=";
    cin >> number_count;

    Input rez;

    rez.numbers.resize(number_count);

    for (size_t i = 0; i < number_count; i++) {
    cin >> rez.numbers[i];
   }

    cerr << "bin_count= ";
    cin >> rez.bin_count;

    return rez;
   }
}


int main()
{   curl_global_init(CURL_GLOBAL_ALL);
    bool promt = true;
    auto in = input_data(cin,promt);
    auto bins = make_histogram(in.numbers, in.bin_count);
    double ttt=0.0;
     show_histogram_svg(bins,ttt);
   /* show_histogram_text(bins, in.bin_count);*/

    return 0;
}
